interface UserResponse {
	id: string;
	username: string;
	email: string;
	isVerified: boolean;
	createdAt: string;
	displayName: string | null;
}

interface UserRow {
	id: string;
	username: string;
	display_name: string | null;
	email: string;
	password: string;
	is_verified: boolean;
	created_at: Date;
	updated_at: Date;
}

export type { UserResponse, UserRow };
