import type { BaseResponse } from "../base";
import type { UserResponse } from "./base";

interface RegisterRequest {
	username: string;
	displayName: string | null;
	email: string;
	password: string;
}

interface RegisterResponse extends BaseResponse {
	user?: UserResponse;
}

export type { RegisterRequest, RegisterResponse };
