import type { UserResponse } from "../base";

interface EmailChangeRequest {
	newEmail: string;
}

interface EmailChangeData {
	userId: string;
	currentEmail: string;
	newEmail: string;
	requestedAt: number;
}

interface EmailChangeResponse {
	code: number;
	success: boolean;
	error?: string;
	message?: string;
	user?: UserResponse;
	cooldownRemaining?: number;
}

export type { EmailChangeRequest, EmailChangeData, EmailChangeResponse };
