import type { BaseResponse } from "./base";

interface HealthResponse extends BaseResponse {
	timestamp?: string;
	requestTime?: string;
	services?: {
		cassandra: {
			status: string;
			hosts: number;
		};
		redis: {
			status: string;
		};
	};
}

export type { HealthResponse };
