import type { BaseResponse } from "../base";
import type { UserResponse } from "./base";

interface LoginRequest {
	identifier: string; // username or email
	password: string;
}

interface LoginResponse extends BaseResponse {
	user?: UserResponse;
}

export type { LoginRequest, LoginResponse };
