import type { BaseResponse } from "../../base";

interface ResetPasswordRequest {
	token: string;
	newPassword: string;
	logoutAllSessions?: boolean; // defaults to false
}

interface ResetPasswordResponse extends BaseResponse {
	loggedOutSessions?: number;
}

interface ResetData {
	userId: string;
	email: string;
}

export type { ResetPasswordRequest, ResetPasswordResponse, ResetData };
