import type { BaseResponse } from "../../base";
import type { UserResponse } from "../base";

interface UpdatePasswordRequest {
	currentPassword: string;
	newPassword: string;
	logoutAllSessions?: boolean; // defaults to false
}

interface UpdatePasswordResponse extends BaseResponse {
	user?: UserResponse;
	loggedOutSessions?: number;
}

export type { UpdatePasswordRequest, UpdatePasswordResponse };
