import type { UserSession } from "../config/auth";

type Query = Record<string, string>;
type Params = Record<string, string>;

interface ExtendedRequest extends Request {
	startPerf: number;
	query: Query;
	params: Params;
	requestBody: unknown;
	session?: UserSession | null;
}

export type { ExtendedRequest, Query, Params };
